#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 41. Other X-based Programs

- Prev

  Gparted-1.2.0

- Next

  Inkscape-1.0.2

- Up
- Home

# HexChat-2.14.3

## Introduction to HexChat

HexChat is an IRC chat program. It allows you to join multiple IRC channels (chat rooms) at the same time, talk publicly, have private one-on-one conversations, etc. File transfers are also possible.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://dl.hexchat.net/hexchat/hexchat-2.14.3.tar.xz

- Download MD5 sum: 9f04c48f011b646b91d03c5776fce776

- Download size: 1.2 MB

- Estimated disk space required: 31 MB

- Estimated build time: 0.1 SBU (using parallelism=4)

### HexChat Dependencies

#### Required

GLib-2.66.7

#### Recommended

GTK+-2.24.33, libcanberra-0.30, and Lua-5.4.2

#### Optional

dbus-glib-0.110, ISO Codes-4.5.0, libnotify-0.7.9, pciutils-3.7.0, libproxy, and luajit

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/hexchat

## Installation of HexChat

Install HexChat by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr -Dwith-libproxy=false -Dwith-lua=lua .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dwith-lua=lua`: By default, this package will look for luajit. Use the normal lua instead.

`-Dwith-libcanberra=false`: Use this switch if you have libcanberra not installed.

## Contents

Installed Program: hexchat
Installed Libraries: None
Installed Directory: /usr/lib/hexchat

### Short Descriptions

hexchat | is a graphical Internet Relay Chat (IRC) client

Last updated on 2021-02-23 13:28:17 -0800

- Prev

  Gparted-1.2.0

- Next

  Inkscape-1.0.2

- Up
- Home